## Apache Zeta Components Manual :: Docs For Class ezcWebdavPluginParameters

### Webdav::ezcWebdavPluginParameters

### Class ezcWebdavPluginParameters

Storage class submitted to callbacks assigned to plugin hooks.

Instances of this storage class are submitted to plugins by the ezcWebdavPluginRegistry. The contained elements may be evaluated by plugins and, only if really necessary, be changed.

Source for this file: /Webdav/src/plugin_parameters.php

    ArrayObject
       |
       --ezcWebdavPluginParameters

Version: | //autogen//

### Inherited Constants

From ArrayObject (Internal Class):
`ARRAY_AS_PROPS = 2` |
`STD_PROP_LIST = 1` |

### Method Summary

public void | `__construct( [ $data = null] )` Create a new paramater storage.

### Inherited Methods

From ArrayObject (Internal Class)
public ArrayObject | `constructor __construct ( $array )`
public void | `append ( $value )`
public void | `asort ( )`
public void | `count ( )`
public void | `exchangeArray ( $array )`
public void | `getArrayCopy ( )`
public void | `getFlags ( )`
public void | `getIterator ( )`
public void | `getIteratorClass ( )`
public void | `ksort ( )`
public void | `natcasesort ( )`
public void | `natsort ( )`
public void | `offsetExists ( $index )`
public void | `offsetGet ( $index )`
public void | `offsetSet ( $index, $newval )`
public void | `offsetUnset ( $index )`
public void | `serialize ( )`
public void | `setFlags ( $flags )`
public void | `setIteratorClass ( $iteratorClass )`
public void | `uasort ( $cmp_function )`
public void | `uksort ( $cmp_function )`
public void | `unserialize ( $serialized )`

### Methods

#### __construct

void __construct( [ $data = null] )

Create a new paramater storage.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$data` | array |

##### Redefinition of:

Method | Description
--- | ---
`ArrayObject::constructor __construct ( $array )` |

Documentation generated by phpDocumentor 1.4.3